Subject: bug#17589: 24.3.91; lisp/frameset.el

From: martin rudalics <[email-masked]>
Date: Tue, 27 May 2014 09:34:16 +0200

>> Saving buffer names is indeed a problem.  I think we should try and
 >> remember the actual buffer whenever possible (i.e. until we want to
 >> print the object)

Indeed.  This would help when buffers get renamed in between.

 > and when printing, we should try and print
 >> a description of the buffer, e.g. its file-name if it's visiting a file
 >
 > Framesets treat window states (from window-state-get) as opaque
 > objects. I'm not sure what kind of changes would be required (in the
 > window state's API, I mean, not framesets) to implement what you
 > suggest.

Currently `window-state-put' relies on buffer files names restored to
their pre-`window-state-put' values.  We probably want a more general
solution in desktop.el to restore the connection between files visited
and the names of the respective buffers in some unified manner.

martin